Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class Config

    java.lang.Object
      madkit.MadChat.Config

    public class Config

extends java.lang.Object

Constructor Summary
`Config(Agent a)`

Method Summary
`void` | `addConfigChangeListener(ConfigChangeListener c)`
`void` | `fireConfigChanged(java.lang.String msg)`
`java.lang.String` | `getBackground()`
`Agent` | `getChatAgent()`
`java.lang.String` | `getConfigPath()`
`java.lang.String` | `getDefaultColor()`
`java.lang.String` | `getFileSeparator()`
`java.lang.String` | `getIconsPath()`
`java.lang.String` | `getLang()`
`java.lang.String` | `getLangProperty(java.lang.String property)`
`java.lang.String` | `getLogin()`
`java.lang.String` | `getLogPath()`
`java.lang.String` | `getOsName()`
`SenderAgent` | `getSenderAgent()`
`ShareAgent` | `getShareAgent()`
`java.lang.String` | `getSmileyPath()`
`SmileyTab` | `getSmileyTab()`
`java.util.Vector` | `getTabRepertoiresPartages()`
`java.lang.String` | `getTheme()`
`java.lang.String` | `getThemePath()`
`void` | `insertSmileys()`
`boolean` | `isLogAuto()`
`boolean` | `isShare()`
`boolean` | `isShareRunning()`
`boolean` | `isTimestamp()`
`void` | `removeConfigChangeListener(ConfigChangeListener c)`
`void` | `save()`
`void` | `setBackground(java.lang.String background)`
`void` | `setDefaultColor(java.lang.String defaultColor)`
`void` | `setLang(java.lang.String lang)`
`void` | `setLogAuto(boolean logAuto)`
`void` | `setLogin(java.lang.String login)`
`void` | `setLogPath(java.lang.String logPath)`
`void` | `setSenderAgent(SenderAgent senderAgent)`
`void` | `setShare(boolean share)`
`void` | `setShareAgent(ShareAgent shareAgent)`
`void` | `setShareRunning(boolean b)`
`void` | `setTabRepertoiresPartages(java.util.Vector tabRepertoiresPartages)`
`void` | `setTheme(java.lang.String theme)`
`void` | `setTimestamp(boolean timestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config(Agent a)

Method Detail

### isShareRunning

    public boolean isShareRunning()

### setShareRunning

    public void setShareRunning(boolean b)

### getChatAgent

    public Agent getChatAgent()

### getShareAgent

    public ShareAgent getShareAgent()

### setShareAgent

    public void setShareAgent(ShareAgent shareAgent)

### setSenderAgent

    public void setSenderAgent(SenderAgent senderAgent)

### getSenderAgent

    public SenderAgent getSenderAgent()

### save

    public void save()

### getBackground

    public java.lang.String getBackground()

### setBackground

    public void setBackground(java.lang.String background)

### getDefaultColor

    public java.lang.String getDefaultColor()

### setDefaultColor

    public void setDefaultColor(java.lang.String defaultColor)

### isShare

    public boolean isShare()

### setShare

    public void setShare(boolean share)

### getTabRepertoiresPartages

    public java.util.Vector getTabRepertoiresPartages()

### setTabRepertoiresPartages

    public void setTabRepertoiresPartages(java.util.Vector tabRepertoiresPartages)

### isLogAuto

    public boolean isLogAuto()

### setLogAuto

    public void setLogAuto(boolean logAuto)

### getLogin

    public java.lang.String getLogin()

### setLogin

    public void setLogin(java.lang.String login)

### getTheme

    public java.lang.String getTheme()

### setTheme

    public void setTheme(java.lang.String theme)

### isTimestamp

    public boolean isTimestamp()

### setTimestamp

    public void setTimestamp(boolean timestamp)

### getFileSeparator

    public java.lang.String getFileSeparator()

### getConfigPath

    public java.lang.String getConfigPath()

### getIconsPath

    public java.lang.String getIconsPath()

### getSmileyPath

    public java.lang.String getSmileyPath()

### getSmileyTab

    public SmileyTab getSmileyTab()

### getOsName

    public java.lang.String getOsName()

### getLogPath

    public java.lang.String getLogPath()

### setLogPath

    public void setLogPath(java.lang.String logPath)

### getThemePath

    public java.lang.String getThemePath()

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getLangProperty

    public java.lang.String getLangProperty(java.lang.String property)

### addConfigChangeListener

    public void addConfigChangeListener(ConfigChangeListener c)

### removeConfigChangeListener

    public void removeConfigChangeListener(ConfigChangeListener c)

### fireConfigChanged

    public void fireConfigChanged(java.lang.String msg)

### insertSmileys

    public void insertSmileys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.